package shell

import "notabug.org/Umnik/GoAndroidSDK/v2/componets/executor"

func (d DeviceShell) dumpsys(args ...string) ([]byte, error) {
	return executor.RunSync(d, "dumpsys", args...)
}

// BatteryUnplug executes battery unplug
func (d DeviceShell) BatteryUnplug() ([]byte, error) {
	return d.dumpsys("battery", "unplug")
}

// BatteryReset executes battery reset
func (d DeviceShell) BatteryReset() ([]byte, error) {
	return d.dumpsys("battery", "reset")
}
